<?php

/* vim: set expandtab tabstop=4 shiftwidth=4 foldmethod=marker: */
// $HeadURL:$
// +------------------------------------------------------------------------+
// | Maintain - DNS/DHCP Managment Tool                                     |
// +------------------------------------------------------------------------+
// | Copyright (c) 2004 Open Source University                              |
// +------------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or          |
// | modify it under the terms of the GNU General Public License            |
// | as published by the Free Software Foundation; either version 2         |
// | of the License, or (at your option) any later version.                 |
// |                                                                        |
// | This program is distributed in the hope that it will be useful,        |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of         |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          |
// | GNU General Public License for more details.                           |
// |                                                                        |
// | You should have received a copy of the GNU General Public License      |
// | along with this program; if not, write to the Free Software            |
// | Foundation, Inc., 59 Temple Place - Suite 330,                         |
// | Boston, MA  02111-1307, USA.                                           |
// +------------------------------------------------------------------------+
// | Authors: Michael Clay <claym@osuosl.org>                               |
// +------------------------------------------------------------------------+
// $Id: dhcp.php 4758 2006-08-18 21:37:02Z schonstal $

/**
  * DHCP Pages
  *
  * @pacakge    htdocs
  */

require_once("includes.php");
require_once(FORMDIR."/DHCPOCreateForm.php");
require_once(FORMDIR."/DHCPOEditForm.php");
require_once(HTCLASS."/datalist/DHCPODataList.php");
require_once(FORMDIR."/MaintainDeleteConfirm.php");

session_start();

setup_user_environment();

$title = html_span("title");

$skin = Skin::Factory($user->color_template);

$content = container();

switch(strtolower($_REQUEST['action'])) {

case 'create':
    if(!$user->is_admin())
        header("Location: ".web_root()."denied.php");
    $title->add(_("Creating New DHCP Option"));
    $content->add($title);
    $cdo = new FormProcessor(new DHCPOCreateForm, "createdhcpopt");
    $cdo->set_render_form_after_success(false);
    $content->add($cdo);
    break;

case 'delconfirm':
case 'delete':
    if (!$user->is_admin())
        header("Location: ".web_root()."denied.php");

    $title->add(_("Deleting DHCP Option"));
    $content->add($title);
    $dcd = new FormProcessor(new MaintainDeleteConfirm("dhcpoption", "name"), "dconfdhcpo");
    $dcd->set_render_form_after_success(false);
    $content->add($dcd);
    break;

case 'edit':
    if (!$user->is_admin())
        header("Location: ".web_root()."denied.php");

    $title->add(_("Editting DHCP Option"));
    $content->add($title);
    $content->add(new FormProcessor(new DHCPOEditForm, "editdhcpopt"));
    break;
case 'enable':
case 'disable':
case 'enable_disable':
    if (!$user->is_admin())
        header("Location: ".web_root()."denied.php"); 
    
    toggleEnabled("DHCPOption", $_REQUEST['id']); 
    
case 'show_admin':

default:
    $title->add(_("DHCP Options List"));
    $dl = new DHCPODataList(_("DHCP Options"));
    $dl->user_setup();
    $content->add($title);
    $content->add($dl);

    break;

}


/*ZB: This function will toggle the enabled/disabled bit on an object*/
function toggleEnabled($name, $id)
{
    $obj = new $name($id);
    $obj->setEnabled(!$obj->enabled); 
    $obj->update();
    
}

print $skin->display($content);

?>
